Sign inGet started

Team Management

GET
/workspaces/{workspaceId}/teams
Retrieve a list of teams within the workspace, showcasing their members count and other details.
查询参数
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
sortBy
string
Sort by field specified
Possible values: name
响应载荷
results
array of object
必填
显示子属性
results.id
string
必填
results.workspaceId
string
必填
results.name
string
必填
results.description
string
必填
results.visibility
string
必填
results.accessibility
string
results.activeMemberCount
integer
必填
results.pendingMemberCount
integer
必填
results.featuredMembers
array of object
必填
显示子属性
results.featuredMembers.id
string
必填
results.featuredMembers.type
string
必填
results.hideFromViews
boolean
必填
results.createdAt
string
必填
results.updatedAt
string
必填
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
The total number of results across all pages.
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}
Retrieve information about a specific team within the workspace, including its name, and other details.
响应载荷
id
string
必填
workspaceId
string
必填
name
string
必填
description
string
必填
visibility
string
必填
accessibility
string
activeMemberCount
integer
必填
pendingMemberCount
integer
必填
featuredMembers
array of object
必填
显示子属性
featuredMembers.id
string
必填
featuredMembers.type
string
必填
hideFromViews
boolean
必填
createdAt
string
必填
updatedAt
string
必填
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/teams
Create a new team within the workspace, defining its name, and other relevant attributes.
请求载荷
name
string
必填
description
string
hideFromViews
boolean
members
array of object
显示子参数
members.id
string
必填
members.type
string
必填
响应载荷
id
string
必填
workspaceId
string
必填
name
string
必填
description
string
必填
visibility
string
必填
accessibility
string
activeMemberCount
integer
必填
pendingMemberCount
integer
必填
featuredMembers
array of object
必填
显示子属性
featuredMembers.id
string
必填
featuredMembers.type
string
必填
hideFromViews
boolean
必填
createdAt
string
必填
updatedAt
string
必填
代码示例
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/teams/{teamId}
Modify the details of a specific team within the workspace, such as its name, or other attributes.
请求载荷
name
string
description
string
hideFromViews
boolean
响应载荷
id
string
必填
workspaceId
string
必填
name
string
必填
description
string
必填
visibility
string
必填
accessibility
string
activeMemberCount
integer
必填
pendingMemberCount
integer
必填
featuredMembers
array of object
必填
显示子属性
featuredMembers.id
string
必填
featuredMembers.type
string
必填
hideFromViews
boolean
必填
createdAt
string
必填
updatedAt
string
必填
代码示例
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/teams/{teamId}
Remove a specific team from the workspace, permanently deleting its profile and associated data.
代码示例
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}/members
Retrieve a list of members within the team, showcasing their names and other details.
响应载荷
results
array of object
必填
显示子属性
results.id
string
必填
results.teamId
string
必填
results.type
string
必填
results.status
string
必填
results.createdAt
string
必填
results.updatedAt
string
必填
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/teams/{teamId}/members
Add a new member to the team.
请求载荷
id
string
必填
type
string
必填
Possible values: user
响应载荷
id
string
必填
teamId
string
必填
type
string
必填
status
string
必填
createdAt
string
必填
updatedAt
string
必填
代码示例
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Retrieve information about a specific member within the team, including their name and other details.
响应载荷
id
string
必填
teamId
string
必填
type
string
必填
status
string
必填
createdAt
string
必填
updatedAt
string
必填
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Remove a specific member from the team.
代码示例
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'